netatalk 4.5.0
Free and Open Source Apple Filing Protocol (AFP) Server
Loading...
Searching...
No Matches
atpbuf Struct Reference

`#include <atp.h>`

## Data Fields
struct atpbuf * | atpbuf_next
size_t | atpbuf_dlen
struct sockaddr_at | atpbuf_addr
union { |
char atpbuf_data [ATP_BUFSIZ] |
struct atpxobuf atpbuf_xo |
} | atpbuf_info

## Field Documentation

## ◆ atpbuf_addr

struct sockaddr_at atpbuf::atpbuf_addr

net address sent/recvd

## ◆ atpbuf_data

char atpbuf::atpbuf_data[ATP_BUFSIZ]

the data

## ◆ atpbuf_dlen

size_t atpbuf::atpbuf_dlen

data length <= ATP_BUFSIZ

## ◆ [union]

union { ... } atpbuf::atpbuf_info

## ◆ atpbuf_next

struct atpbuf* atpbuf::atpbuf_next

next buffer in chain

## ◆ atpbuf_xo

struct atpxobuf atpbuf::atpbuf_xo

for XO requests

The documentation for this struct was generated from the following file:

- atp.h